Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Class Constants

    java.lang.Object
      org.apache.axis.Constants

Direct Known Subclasses:
  XMLType

public class Constants
extends Object

Field Summary
`static String` | `ANYCONTENT` The name of the field which accepts xsd:any content in Beans
`static String` | `ATTR_ACTOR`
`static String` | `ATTR_ARRAY_SIZE`
`static String` | `ATTR_ARRAY_TYPE`
`static String` | `ATTR_ENCODING_STYLE`
`static String` | `ATTR_HANDLERINFOCHAIN`
`static String` | `ATTR_HREF`
`static String` | `ATTR_ID`
`static String` | `ATTR_ITEM_TYPE`
`static String` | `ATTR_MUST_UNDERSTAND`
`static String` | `ATTR_OFFSET`
`static String` | `ATTR_POSITION`
`static String` | `ATTR_QNAME`
`static String` | `ATTR_REF`
`static String` | `ATTR_RELAY`
`static String` | `ATTR_ROLE`
`static String` | `ATTR_ROOT`
`static String` | `ATTR_TYPE`
`static String` | `AXIS_SAX`
`static SOAPConstants` | `DEFAULT_SOAP_VERSION`
`static String` | `ELEM_BODY`
`static String` | `ELEM_ENVELOPE`
`static String` | `ELEM_FAULT`
`static String` | `ELEM_FAULT_ACTOR`
`static String` | `ELEM_FAULT_CODE`
`static String` | `ELEM_FAULT_CODE_SOAP12`
`static String` | `ELEM_FAULT_DETAIL`
`static String` | `ELEM_FAULT_DETAIL_SOAP12`
`static String` | `ELEM_FAULT_NODE_SOAP12`
`static String` | `ELEM_FAULT_REASON_SOAP12`
`static String` | `ELEM_FAULT_ROLE_SOAP12`
`static String` | `ELEM_FAULT_STRING`
`static String` | `ELEM_FAULT_SUBCODE_SOAP12`
`static String` | `ELEM_FAULT_VALUE_SOAP12`
`static String` | `ELEM_HEADER`
`static String` | `ELEM_NOTUNDERSTOOD`
`static String` | `ELEM_SUPPORTEDENVELOPE`
`static String` | `ELEM_TEXT_SOAP12`
`static String` | `ELEM_UPGRADE`
`static String` | `EXCEPTION_LOG_CATEGORY` servlet exceptions.
`static javax.xml.namespace.QName` | `FAULT_CLIENT`
`static javax.xml.namespace.QName` | `FAULT_MUSTUNDERSTAND`
`static String` | `FAULT_SERVER_GENERAL`
`static String` | `FAULT_SERVER_USER`
`static javax.xml.namespace.QName` | `FAULT_SOAP12_DATAENCODINGUNKNOWN`
`static javax.xml.namespace.QName` | `FAULT_SOAP12_MUSTUNDERSTAND`
`static javax.xml.namespace.QName` | `FAULT_SOAP12_RECEIVER`
`static javax.xml.namespace.QName` | `FAULT_SOAP12_SENDER`
`static javax.xml.namespace.QName` | `FAULT_SOAP12_VERSIONMISMATCH`
`static javax.xml.namespace.QName` | `FAULT_SUBCODE_BADARGS`
`static javax.xml.namespace.QName` | `FAULT_SUBCODE_PROC_NOT_PRESENT`
`static javax.xml.namespace.QName` | `FAULT_VERSIONMISMATCH`
`static String` | `JWS_DEFAULT_FILE_EXTENSION` what the extension of JWS files is.
`static String` | `MC_CONFIGPATH`
`static String` | `MC_HOME_DIR`
`static String` | `MC_JWS_CLASSDIR`
`static String` | `MC_NO_OPERATION_OK`
`static String` | `MC_REALPATH`
`static String` | `MC_RELATIVE_PATH`
`static String` | `MC_REMOTE_ADDR`
`static String` | `MC_SERVLET_ENDPOINT_CONTEXT`
`static String` | `MC_SINGLE_SOAP_VERSION`
`static javax.xml.namespace.QName` | `MIME_DATA_HANDLER`
`static javax.xml.namespace.QName` | `MIME_IMAGE`
`static javax.xml.namespace.QName` | `MIME_MULTIPART`
`static javax.xml.namespace.QName` | `MIME_OCTETSTREAM`
`static javax.xml.namespace.QName` | `MIME_PLAINTEXT`
`static javax.xml.namespace.QName` | `MIME_SOURCE`
`static String` | `NS_PREFIX_SCHEMA_XSD`
`static String` | `NS_PREFIX_SCHEMA_XSI`
`static String` | `NS_PREFIX_SOAP_ENC`
`static String` | `NS_PREFIX_SOAP_ENV`
`static String` | `NS_PREFIX_WSDL`
`static String` | `NS_PREFIX_WSDL_SOAP`
`static String` | `NS_PREFIX_XML`
`static String` | `NS_PREFIX_XMLSOAP`
`static String` | `NS_URI_AXIS`
`static String` | `NS_URI_JAVA`
`static String` | `NS_URI_WSDL11` WSDL Namespace
`static String` | `NS_URI_XML`
`static String` | `NS_URI_XMLNS`
`static String` | `NS_URI_XMLSOAP`
`static String[]` | `NS_URIS_WSDL`
`static String[]` | `NS_URIS_WSDL_SOAP`
`static javax.xml.namespace.QName` | `QNAME_FAULTACTOR`
`static javax.xml.namespace.QName` | `QNAME_FAULTCODE`
`static javax.xml.namespace.QName` | `QNAME_FAULTCODE_SOAP12`
`static javax.xml.namespace.QName` | `QNAME_FAULTDETAIL_RUNTIMEEXCEPTION` QName of stack trace element in an axis fault detail.
`static javax.xml.namespace.QName` | `QNAME_FAULTDETAIL_SOAP12`
`static javax.xml.namespace.QName` | `QNAME_FAULTDETAIL_STACKTRACE` QName of stack trace element in an axis fault detail.
`static javax.xml.namespace.QName` | `QNAME_FAULTDETAILS`
`static javax.xml.namespace.QName` | `QNAME_FAULTNODE_SOAP12`
`static javax.xml.namespace.QName` | `QNAME_FAULTREASON_SOAP12`
`static javax.xml.namespace.QName` | `QNAME_FAULTROLE_SOAP12`
`static javax.xml.namespace.QName` | `QNAME_FAULTSTRING`
`static javax.xml.namespace.QName` | `QNAME_FAULTSUBCODE_SOAP12`
`static javax.xml.namespace.QName` | `QNAME_FAULTVALUE_SOAP12`
`static javax.xml.namespace.QName` | `QNAME_LITERAL_ITEM`
`static javax.xml.namespace.QName` | `QNAME_NO_SERVICE_FAULT_CODE` the no-service fault value
`static javax.xml.namespace.QName` | `QNAME_NOTUNDERSTOOD`
`static javax.xml.namespace.QName` | `QNAME_RPC_RESULT`
`static javax.xml.namespace.QName` | `QNAME_TEXT_SOAP12`
`static javax.xml.namespace.QName[]` | `QNAMES_NIL`
`static javax.xml.namespace.QName` | `SOAP_ARRAY`
`static javax.xml.namespace.QName` | `SOAP_ARRAY12`
`static javax.xml.namespace.QName` | `SOAP_BASE64`
`static javax.xml.namespace.QName` | `SOAP_BASE64BINARY`
`static javax.xml.namespace.QName` | `SOAP_BOOLEAN`
`static javax.xml.namespace.QName` | `SOAP_BYTE`
`static javax.xml.namespace.QName` | `SOAP_DECIMAL`
`static javax.xml.namespace.QName` | `SOAP_DOCUMENT`
`static javax.xml.namespace.QName` | `SOAP_DOUBLE`
`static javax.xml.namespace.QName` | `SOAP_ELEMENT`
`static javax.xml.namespace.QName` | `SOAP_FLOAT`
`static javax.xml.namespace.QName` | `SOAP_INT`
`static javax.xml.namespace.QName` | `SOAP_INTEGER`
`static javax.xml.namespace.QName` | `SOAP_LONG`
`static javax.xml.namespace.QName` | `SOAP_MAP`
`static javax.xml.namespace.QName` | `SOAP_SHORT`
`static javax.xml.namespace.QName` | `SOAP_STRING`
`static javax.xml.namespace.QName` | `SOAP_VECTOR`
`static String` | `TIME_LOG_CATEGORY` time logged stuff
`static String` | `URI_1999_SCHEMA_XSD`
`static String` | `URI_1999_SCHEMA_XSI`
`static String` | `URI_2000_SCHEMA_XSD`
`static String` | `URI_2000_SCHEMA_XSI`
`static String` | `URI_2001_SCHEMA_XSD`
`static String` | `URI_2001_SCHEMA_XSI`
`static String` | `URI_DEFAULT_SCHEMA_XSD`
`static String` | `URI_DEFAULT_SCHEMA_XSI`
`static String` | `URI_DEFAULT_SOAP_ENC`
`static String` | `URI_DEFAULT_SOAP_ENV`
`static String` | `URI_DIME_CLOSED_LAYOUT`
`static String` | `URI_DIME_CONTENT`
`static String` | `URI_DIME_OPEN_LAYOUT`
`static String` | `URI_DIME_REFERENCE`
`static String` | `URI_DIME_WSDL`
`static String` | `URI_LITERAL_ENC`
`static String` | `URI_SOAP11_ENC`
`static String` | `URI_SOAP11_ENV`
`static String` | `URI_SOAP11_HTTP`
`static String` | `URI_SOAP11_NEXT_ACTOR`
`static String` | `URI_SOAP12_ENC`
`static String` | `URI_SOAP12_ENV`
`static String` | `URI_SOAP12_HTTP`
`static String` | `URI_SOAP12_NEXT_ACTOR` Deprecated. use URI_SOAP12_NEXT_ROLE
`static String` | `URI_SOAP12_NEXT_ROLE`
`static String` | `URI_SOAP12_NOENC`
`static String` | `URI_SOAP12_NONE_ROLE`
`static String` | `URI_SOAP12_RPC`
`static String` | `URI_SOAP12_ULTIMATE_ROLE`
`static String` | `URI_WSDL11_SOAP`
`static String` | `URI_WSDL12_SOAP`
`static String[]` | `URIS_SCHEMA_XSD`
`static String[]` | `URIS_SCHEMA_XSI`
`static String[]` | `URIS_SOAP_ENC`
`static String[]` | `URIS_SOAP_ENV`
`static javax.xml.namespace.QName` | `XML_LANG`
`static javax.xml.namespace.QName` | `XSD_ANY`
`static javax.xml.namespace.QName` | `XSD_ANYSIMPLETYPE`
`static javax.xml.namespace.QName` | `XSD_ANYTYPE`
`static javax.xml.namespace.QName` | `XSD_ANYURI`
`static javax.xml.namespace.QName` | `XSD_BASE64`
`static javax.xml.namespace.QName` | `XSD_BOOLEAN`
`static javax.xml.namespace.QName` | `XSD_BYTE`
`static javax.xml.namespace.QName` | `XSD_DATE`
`static javax.xml.namespace.QName` | `XSD_DATETIME`
`static javax.xml.namespace.QName` | `XSD_DAY`
`static javax.xml.namespace.QName` | `XSD_DECIMAL`
`static javax.xml.namespace.QName` | `XSD_DOUBLE`
`static javax.xml.namespace.QName` | `XSD_DURATION`
`static javax.xml.namespace.QName` | `XSD_ENTITIES`
`static javax.xml.namespace.QName` | `XSD_ENTITY`
`static javax.xml.namespace.QName` | `XSD_FLOAT`
`static javax.xml.namespace.QName` | `XSD_HEXBIN`
`static javax.xml.namespace.QName` | `XSD_ID`
`static javax.xml.namespace.QName` | `XSD_IDREF`
`static javax.xml.namespace.QName` | `XSD_IDREFS`
`static javax.xml.namespace.QName` | `XSD_INT`
`static javax.xml.namespace.QName` | `XSD_INTEGER`
`static javax.xml.namespace.QName` | `XSD_LANGUAGE`
`static javax.xml.namespace.QName` | `XSD_LONG`
`static javax.xml.namespace.QName` | `XSD_MONTH`
`static javax.xml.namespace.QName` | `XSD_MONTHDAY`
`static javax.xml.namespace.QName` | `XSD_NAME`
`static javax.xml.namespace.QName` | `XSD_NCNAME`
`static javax.xml.namespace.QName` | `XSD_NEGATIVEINTEGER`
`static javax.xml.namespace.QName` | `XSD_NMTOKEN`
`static javax.xml.namespace.QName` | `XSD_NMTOKENS`
`static javax.xml.namespace.QName` | `XSD_NONNEGATIVEINTEGER`
`static javax.xml.namespace.QName` | `XSD_NONPOSITIVEINTEGER`
`static javax.xml.namespace.QName` | `XSD_NORMALIZEDSTRING`
`static javax.xml.namespace.QName` | `XSD_NOTATION`
`static javax.xml.namespace.QName` | `XSD_POSITIVEINTEGER`
`static javax.xml.namespace.QName` | `XSD_QNAME`
`static javax.xml.namespace.QName` | `XSD_SCHEMA`
`static javax.xml.namespace.QName` | `XSD_SHORT`
`static javax.xml.namespace.QName` | `XSD_STRING`
`static javax.xml.namespace.QName` | `XSD_TIME`
`static javax.xml.namespace.QName` | `XSD_TIMEINSTANT1999`
`static javax.xml.namespace.QName` | `XSD_TIMEINSTANT2000`
`static javax.xml.namespace.QName` | `XSD_TOKEN`
`static javax.xml.namespace.QName` | `XSD_UNSIGNEDBYTE`
`static javax.xml.namespace.QName` | `XSD_UNSIGNEDINT`
`static javax.xml.namespace.QName` | `XSD_UNSIGNEDLONG`
`static javax.xml.namespace.QName` | `XSD_UNSIGNEDSHORT`
`static javax.xml.namespace.QName` | `XSD_YEAR`
`static javax.xml.namespace.QName` | `XSD_YEARMONTH`

Constructor Summary
`Constants()`

Method Summary
`static boolean` | `equals(javax.xml.namespace.QName first, javax.xml.namespace.QName second)` equals The first QName is the current version of the name.
`static String` | `getValue(Attributes attributes, javax.xml.namespace.QName[] search)` Search an attribute collection for a list of QNames, returning the value of the first one found, or null if none were found.
`static String` | `getValue(Attributes attributes, String[] search, String localPart)` This utility routine returns the value of an attribute which might be in one of several namespaces.
`static boolean` | `isSchemaXSD(String s)` Returns true if SchemaXSD Namespace
`static boolean` | `isSchemaXSI(String s)` Returns true if SchemaXSI Namespace
`static boolean` | `isSOAP_ENC(String s)` Returns true if SOAP_ENC Namespace
`static boolean` | `isSOAP_ENV(String s)` Returns true if SOAP_ENV Namespace
`static boolean` | `isWSDL(String s)` Returns true if WSDL Namespace
`static boolean` | `isWSDLSOAP(String s)` Returns true if WSDL SOAP Namespace

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS_PREFIX_SOAP_ENV

    public static final String NS_PREFIX_SOAP_ENV

See Also:
  Constant Field Values

### NS_PREFIX_SOAP_ENC

    public static final String NS_PREFIX_SOAP_ENC

See Also:
  Constant Field Values

### NS_PREFIX_SCHEMA_XSI

    public static final String NS_PREFIX_SCHEMA_XSI

See Also:
  Constant Field Values

### NS_PREFIX_SCHEMA_XSD

    public static final String NS_PREFIX_SCHEMA_XSD

See Also:
  Constant Field Values

### NS_PREFIX_WSDL

    public static final String NS_PREFIX_WSDL

See Also:
  Constant Field Values

### NS_PREFIX_WSDL_SOAP

    public static final String NS_PREFIX_WSDL_SOAP

See Also:
  Constant Field Values

### NS_PREFIX_XMLSOAP

    public static final String NS_PREFIX_XMLSOAP

See Also:
  Constant Field Values

### NS_PREFIX_XML

    public static final String NS_PREFIX_XML

See Also:
  Constant Field Values

### NS_URI_AXIS

    public static final String NS_URI_AXIS

See Also:
  Constant Field Values

### NS_URI_XMLSOAP

    public static final String NS_URI_XMLSOAP

See Also:
  Constant Field Values

### NS_URI_JAVA

    public static final String NS_URI_JAVA

See Also:
  Constant Field Values

### DEFAULT_SOAP_VERSION

    public static final SOAPConstants DEFAULT_SOAP_VERSION

### URI_SOAP11_ENV

    public static final String URI_SOAP11_ENV

See Also:
  Constant Field Values

### URI_SOAP12_ENV

    public static final String URI_SOAP12_ENV

See Also:
  Constant Field Values

### URI_DEFAULT_SOAP_ENV

    public static final String URI_DEFAULT_SOAP_ENV

### URIS_SOAP_ENV

    public static final String[] URIS_SOAP_ENV

### TIME_LOG_CATEGORY

    public static final String TIME_LOG_CATEGORY

  time logged stuff

  See Also:
    Constant Field Values

### EXCEPTION_LOG_CATEGORY

    public static final String EXCEPTION_LOG_CATEGORY

  servlet exceptions. Axis faults are logged at debug level here.

  See Also:
    Constant Field Values

### ANYCONTENT

    public static final String ANYCONTENT

  The name of the field which accepts xsd:any content in Beans

  See Also:
    Constant Field Values

### URI_LITERAL_ENC

    public static final String URI_LITERAL_ENC

See Also:
  Constant Field Values

### URI_SOAP11_ENC

    public static final String URI_SOAP11_ENC

See Also:
  Constant Field Values

### URI_SOAP12_ENC

    public static final String URI_SOAP12_ENC

See Also:
  Constant Field Values

### URI_SOAP12_NOENC

    public static final String URI_SOAP12_NOENC

See Also:
  Constant Field Values

### URI_DEFAULT_SOAP_ENC

    public static final String URI_DEFAULT_SOAP_ENC

### URIS_SOAP_ENC

    public static final String[] URIS_SOAP_ENC

### URI_SOAP11_NEXT_ACTOR

    public static final String URI_SOAP11_NEXT_ACTOR

See Also:
  Constant Field Values

### URI_SOAP12_NEXT_ROLE

    public static final String URI_SOAP12_NEXT_ROLE

See Also:
  Constant Field Values

### URI_SOAP12_NEXT_ACTOR

    public static final String URI_SOAP12_NEXT_ACTOR

  Deprecated. use URI_SOAP12_NEXT_ROLE

  See Also:
    Constant Field Values

### URI_SOAP12_RPC

    public static final String URI_SOAP12_RPC

See Also:
  Constant Field Values

### URI_SOAP12_NONE_ROLE

    public static final String URI_SOAP12_NONE_ROLE

See Also:
  Constant Field Values

### URI_SOAP12_ULTIMATE_ROLE

    public static final String URI_SOAP12_ULTIMATE_ROLE

See Also:
  Constant Field Values

### URI_SOAP11_HTTP

    public static final String URI_SOAP11_HTTP

See Also:
  Constant Field Values

### URI_SOAP12_HTTP

    public static final String URI_SOAP12_HTTP

See Also:
  Constant Field Values

### NS_URI_XMLNS

    public static final String NS_URI_XMLNS

See Also:
  Constant Field Values

### NS_URI_XML

    public static final String NS_URI_XML

See Also:
  Constant Field Values

### URI_1999_SCHEMA_XSD

    public static final String URI_1999_SCHEMA_XSD

See Also:
  Constant Field Values

### URI_2000_SCHEMA_XSD

    public static final String URI_2000_SCHEMA_XSD

See Also:
  Constant Field Values

### URI_2001_SCHEMA_XSD

    public static final String URI_2001_SCHEMA_XSD

See Also:
  Constant Field Values

### URI_DEFAULT_SCHEMA_XSD

    public static final String URI_DEFAULT_SCHEMA_XSD

See Also:
  Constant Field Values

### URIS_SCHEMA_XSD

    public static final String[] URIS_SCHEMA_XSD

### QNAMES_NIL

    public static final javax.xml.namespace.QName[] QNAMES_NIL

### URI_1999_SCHEMA_XSI

    public static final String URI_1999_SCHEMA_XSI

See Also:
  Constant Field Values

### URI_2000_SCHEMA_XSI

    public static final String URI_2000_SCHEMA_XSI

See Also:
  Constant Field Values

### URI_2001_SCHEMA_XSI

    public static final String URI_2001_SCHEMA_XSI

See Also:
  Constant Field Values

### URI_DEFAULT_SCHEMA_XSI

    public static final String URI_DEFAULT_SCHEMA_XSI

See Also:
  Constant Field Values

### URIS_SCHEMA_XSI

    public static final String[] URIS_SCHEMA_XSI

### NS_URI_WSDL11

    public static final String NS_URI_WSDL11

  WSDL Namespace

  See Also:
    Constant Field Values

### NS_URIS_WSDL

    public static final String[] NS_URIS_WSDL

### URI_DIME_WSDL

    public static final String URI_DIME_WSDL

See Also:
  Constant Field Values

### URI_DIME_CONTENT

    public static final String URI_DIME_CONTENT

See Also:
  Constant Field Values

### URI_DIME_REFERENCE

    public static final String URI_DIME_REFERENCE

See Also:
  Constant Field Values

### URI_DIME_CLOSED_LAYOUT

    public static final String URI_DIME_CLOSED_LAYOUT

See Also:
  Constant Field Values

### URI_DIME_OPEN_LAYOUT

    public static final String URI_DIME_OPEN_LAYOUT

See Also:
  Constant Field Values

### URI_WSDL11_SOAP

    public static final String URI_WSDL11_SOAP

See Also:
  Constant Field Values

### URI_WSDL12_SOAP

    public static final String URI_WSDL12_SOAP

See Also:
  Constant Field Values

### NS_URIS_WSDL_SOAP

    public static final String[] NS_URIS_WSDL_SOAP

### AXIS_SAX

    public static final String AXIS_SAX

See Also:
  Constant Field Values

### ELEM_ENVELOPE

    public static final String ELEM_ENVELOPE

See Also:
  Constant Field Values

### ELEM_HEADER

    public static final String ELEM_HEADER

See Also:
  Constant Field Values

### ELEM_BODY

    public static final String ELEM_BODY

See Also:
  Constant Field Values

### ELEM_FAULT

    public static final String ELEM_FAULT

See Also:
  Constant Field Values

### ELEM_NOTUNDERSTOOD

    public static final String ELEM_NOTUNDERSTOOD

See Also:
  Constant Field Values

### ELEM_UPGRADE

    public static final String ELEM_UPGRADE

See Also:
  Constant Field Values

### ELEM_SUPPORTEDENVELOPE

    public static final String ELEM_SUPPORTEDENVELOPE

See Also:
  Constant Field Values

### ELEM_FAULT_CODE

    public static final String ELEM_FAULT_CODE

See Also:
  Constant Field Values

### ELEM_FAULT_STRING

    public static final String ELEM_FAULT_STRING

See Also:
  Constant Field Values

### ELEM_FAULT_DETAIL

    public static final String ELEM_FAULT_DETAIL

See Also:
  Constant Field Values

### ELEM_FAULT_ACTOR

    public static final String ELEM_FAULT_ACTOR

See Also:
  Constant Field Values

### ELEM_FAULT_CODE_SOAP12

    public static final String ELEM_FAULT_CODE_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_VALUE_SOAP12

    public static final String ELEM_FAULT_VALUE_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_SUBCODE_SOAP12

    public static final String ELEM_FAULT_SUBCODE_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_REASON_SOAP12

    public static final String ELEM_FAULT_REASON_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_NODE_SOAP12

    public static final String ELEM_FAULT_NODE_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_ROLE_SOAP12

    public static final String ELEM_FAULT_ROLE_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_DETAIL_SOAP12

    public static final String ELEM_FAULT_DETAIL_SOAP12

See Also:
  Constant Field Values

### ELEM_TEXT_SOAP12

    public static final String ELEM_TEXT_SOAP12

See Also:
  Constant Field Values

### ATTR_MUST_UNDERSTAND

    public static final String ATTR_MUST_UNDERSTAND

See Also:
  Constant Field Values

### ATTR_ENCODING_STYLE

    public static final String ATTR_ENCODING_STYLE

See Also:
  Constant Field Values

### ATTR_ACTOR

    public static final String ATTR_ACTOR

See Also:
  Constant Field Values

### ATTR_ROLE

    public static final String ATTR_ROLE

See Also:
  Constant Field Values

### ATTR_RELAY

    public static final String ATTR_RELAY

See Also:
  Constant Field Values

### ATTR_ROOT

    public static final String ATTR_ROOT

See Also:
  Constant Field Values

### ATTR_ID

    public static final String ATTR_ID

See Also:
  Constant Field Values

### ATTR_HREF

    public static final String ATTR_HREF

See Also:
  Constant Field Values

### ATTR_REF

    public static final String ATTR_REF

See Also:
  Constant Field Values

### ATTR_QNAME

    public static final String ATTR_QNAME

See Also:
  Constant Field Values

### ATTR_ARRAY_TYPE

    public static final String ATTR_ARRAY_TYPE

See Also:
  Constant Field Values

### ATTR_ITEM_TYPE

    public static final String ATTR_ITEM_TYPE

See Also:
  Constant Field Values

### ATTR_ARRAY_SIZE

    public static final String ATTR_ARRAY_SIZE

See Also:
  Constant Field Values

### ATTR_OFFSET

    public static final String ATTR_OFFSET

See Also:
  Constant Field Values

### ATTR_POSITION

    public static final String ATTR_POSITION

See Also:
  Constant Field Values

### ATTR_TYPE

    public static final String ATTR_TYPE

See Also:
  Constant Field Values

### ATTR_HANDLERINFOCHAIN

    public static final String ATTR_HANDLERINFOCHAIN

See Also:
  Constant Field Values

### FAULT_SERVER_GENERAL

    public static final String FAULT_SERVER_GENERAL

See Also:
  Constant Field Values

### FAULT_SERVER_USER

    public static final String FAULT_SERVER_USER

See Also:
  Constant Field Values

### FAULT_CLIENT

    public static final javax.xml.namespace.QName FAULT_CLIENT

### FAULT_VERSIONMISMATCH

    public static final javax.xml.namespace.QName FAULT_VERSIONMISMATCH

### FAULT_MUSTUNDERSTAND

    public static final javax.xml.namespace.QName FAULT_MUSTUNDERSTAND

### FAULT_SOAP12_MUSTUNDERSTAND

    public static final javax.xml.namespace.QName FAULT_SOAP12_MUSTUNDERSTAND

### FAULT_SOAP12_VERSIONMISMATCH

    public static final javax.xml.namespace.QName FAULT_SOAP12_VERSIONMISMATCH

### FAULT_SOAP12_DATAENCODINGUNKNOWN

    public static final javax.xml.namespace.QName FAULT_SOAP12_DATAENCODINGUNKNOWN

### FAULT_SOAP12_SENDER

    public static final javax.xml.namespace.QName FAULT_SOAP12_SENDER

### FAULT_SOAP12_RECEIVER

    public static final javax.xml.namespace.QName FAULT_SOAP12_RECEIVER

### FAULT_SUBCODE_BADARGS

    public static final javax.xml.namespace.QName FAULT_SUBCODE_BADARGS

### FAULT_SUBCODE_PROC_NOT_PRESENT

    public static final javax.xml.namespace.QName FAULT_SUBCODE_PROC_NOT_PRESENT

### QNAME_FAULTCODE

    public static final javax.xml.namespace.QName QNAME_FAULTCODE

### QNAME_FAULTSTRING

    public static final javax.xml.namespace.QName QNAME_FAULTSTRING

### QNAME_FAULTACTOR

    public static final javax.xml.namespace.QName QNAME_FAULTACTOR

### QNAME_FAULTDETAILS

    public static final javax.xml.namespace.QName QNAME_FAULTDETAILS

### QNAME_FAULTCODE_SOAP12

    public static final javax.xml.namespace.QName QNAME_FAULTCODE_SOAP12

### QNAME_FAULTVALUE_SOAP12

    public static final javax.xml.namespace.QName QNAME_FAULTVALUE_SOAP12

### QNAME_FAULTSUBCODE_SOAP12

    public static final javax.xml.namespace.QName QNAME_FAULTSUBCODE_SOAP12

### QNAME_FAULTREASON_SOAP12

    public static final javax.xml.namespace.QName QNAME_FAULTREASON_SOAP12

### QNAME_TEXT_SOAP12

    public static final javax.xml.namespace.QName QNAME_TEXT_SOAP12

### QNAME_FAULTNODE_SOAP12

    public static final javax.xml.namespace.QName QNAME_FAULTNODE_SOAP12

### QNAME_FAULTROLE_SOAP12

    public static final javax.xml.namespace.QName QNAME_FAULTROLE_SOAP12

### QNAME_FAULTDETAIL_SOAP12

    public static final javax.xml.namespace.QName QNAME_FAULTDETAIL_SOAP12

### QNAME_NOTUNDERSTOOD

    public static final javax.xml.namespace.QName QNAME_NOTUNDERSTOOD

### XSD_STRING

    public static final javax.xml.namespace.QName XSD_STRING

### XSD_BOOLEAN

    public static final javax.xml.namespace.QName XSD_BOOLEAN

### XSD_DOUBLE

    public static final javax.xml.namespace.QName XSD_DOUBLE

### XSD_FLOAT

    public static final javax.xml.namespace.QName XSD_FLOAT

### XSD_INT

    public static final javax.xml.namespace.QName XSD_INT

### XSD_INTEGER

    public static final javax.xml.namespace.QName XSD_INTEGER

### XSD_LONG

    public static final javax.xml.namespace.QName XSD_LONG

### XSD_SHORT

    public static final javax.xml.namespace.QName XSD_SHORT

### XSD_BYTE

    public static final javax.xml.namespace.QName XSD_BYTE

### XSD_DECIMAL

    public static final javax.xml.namespace.QName XSD_DECIMAL

### XSD_BASE64

    public static final javax.xml.namespace.QName XSD_BASE64

### XSD_HEXBIN

    public static final javax.xml.namespace.QName XSD_HEXBIN

### XSD_ANYSIMPLETYPE

    public static final javax.xml.namespace.QName XSD_ANYSIMPLETYPE

### XSD_ANYTYPE

    public static final javax.xml.namespace.QName XSD_ANYTYPE

### XSD_ANY

    public static final javax.xml.namespace.QName XSD_ANY

### XSD_QNAME

    public static final javax.xml.namespace.QName XSD_QNAME

### XSD_DATETIME

    public static final javax.xml.namespace.QName XSD_DATETIME

### XSD_DATE

    public static final javax.xml.namespace.QName XSD_DATE

### XSD_TIME

    public static final javax.xml.namespace.QName XSD_TIME

### XSD_TIMEINSTANT1999

    public static final javax.xml.namespace.QName XSD_TIMEINSTANT1999

### XSD_TIMEINSTANT2000

    public static final javax.xml.namespace.QName XSD_TIMEINSTANT2000

### XSD_NORMALIZEDSTRING

    public static final javax.xml.namespace.QName XSD_NORMALIZEDSTRING

### XSD_TOKEN

    public static final javax.xml.namespace.QName XSD_TOKEN

### XSD_UNSIGNEDLONG

    public static final javax.xml.namespace.QName XSD_UNSIGNEDLONG

### XSD_UNSIGNEDINT

    public static final javax.xml.namespace.QName XSD_UNSIGNEDINT

### XSD_UNSIGNEDSHORT

    public static final javax.xml.namespace.QName XSD_UNSIGNEDSHORT

### XSD_UNSIGNEDBYTE

    public static final javax.xml.namespace.QName XSD_UNSIGNEDBYTE

### XSD_POSITIVEINTEGER

    public static final javax.xml.namespace.QName XSD_POSITIVEINTEGER

### XSD_NEGATIVEINTEGER

    public static final javax.xml.namespace.QName XSD_NEGATIVEINTEGER

### XSD_NONNEGATIVEINTEGER

    public static final javax.xml.namespace.QName XSD_NONNEGATIVEINTEGER

### XSD_NONPOSITIVEINTEGER

    public static final javax.xml.namespace.QName XSD_NONPOSITIVEINTEGER

### XSD_YEARMONTH

    public static final javax.xml.namespace.QName XSD_YEARMONTH

### XSD_MONTHDAY

    public static final javax.xml.namespace.QName XSD_MONTHDAY

### XSD_YEAR

    public static final javax.xml.namespace.QName XSD_YEAR

### XSD_MONTH

    public static final javax.xml.namespace.QName XSD_MONTH

### XSD_DAY

    public static final javax.xml.namespace.QName XSD_DAY

### XSD_DURATION

    public static final javax.xml.namespace.QName XSD_DURATION

### XSD_NAME

    public static final javax.xml.namespace.QName XSD_NAME

### XSD_NCNAME

    public static final javax.xml.namespace.QName XSD_NCNAME

### XSD_NMTOKEN

    public static final javax.xml.namespace.QName XSD_NMTOKEN

### XSD_NMTOKENS

    public static final javax.xml.namespace.QName XSD_NMTOKENS

### XSD_NOTATION

    public static final javax.xml.namespace.QName XSD_NOTATION

### XSD_ENTITY

    public static final javax.xml.namespace.QName XSD_ENTITY

### XSD_ENTITIES

    public static final javax.xml.namespace.QName XSD_ENTITIES

### XSD_IDREF

    public static final javax.xml.namespace.QName XSD_IDREF

### XSD_IDREFS

    public static final javax.xml.namespace.QName XSD_IDREFS

### XSD_ANYURI

    public static final javax.xml.namespace.QName XSD_ANYURI

### XSD_LANGUAGE

    public static final javax.xml.namespace.QName XSD_LANGUAGE

### XSD_ID

    public static final javax.xml.namespace.QName XSD_ID

### XSD_SCHEMA

    public static final javax.xml.namespace.QName XSD_SCHEMA

### XML_LANG

    public static final javax.xml.namespace.QName XML_LANG

### SOAP_BASE64

    public static final javax.xml.namespace.QName SOAP_BASE64

### SOAP_BASE64BINARY

    public static final javax.xml.namespace.QName SOAP_BASE64BINARY

### SOAP_STRING

    public static final javax.xml.namespace.QName SOAP_STRING

### SOAP_BOOLEAN

    public static final javax.xml.namespace.QName SOAP_BOOLEAN

### SOAP_DOUBLE

    public static final javax.xml.namespace.QName SOAP_DOUBLE

### SOAP_FLOAT

    public static final javax.xml.namespace.QName SOAP_FLOAT

### SOAP_INT

    public static final javax.xml.namespace.QName SOAP_INT

### SOAP_LONG

    public static final javax.xml.namespace.QName SOAP_LONG

### SOAP_SHORT

    public static final javax.xml.namespace.QName SOAP_SHORT

### SOAP_BYTE

    public static final javax.xml.namespace.QName SOAP_BYTE

### SOAP_INTEGER

    public static final javax.xml.namespace.QName SOAP_INTEGER

### SOAP_DECIMAL

    public static final javax.xml.namespace.QName SOAP_DECIMAL

### SOAP_ARRAY

    public static final javax.xml.namespace.QName SOAP_ARRAY

### SOAP_ARRAY12

    public static final javax.xml.namespace.QName SOAP_ARRAY12

### SOAP_MAP

    public static final javax.xml.namespace.QName SOAP_MAP

### SOAP_ELEMENT

    public static final javax.xml.namespace.QName SOAP_ELEMENT

### SOAP_DOCUMENT

    public static final javax.xml.namespace.QName SOAP_DOCUMENT

### SOAP_VECTOR

    public static final javax.xml.namespace.QName SOAP_VECTOR

### MIME_IMAGE

    public static final javax.xml.namespace.QName MIME_IMAGE

### MIME_PLAINTEXT

    public static final javax.xml.namespace.QName MIME_PLAINTEXT

### MIME_MULTIPART

    public static final javax.xml.namespace.QName MIME_MULTIPART

### MIME_SOURCE

    public static final javax.xml.namespace.QName MIME_SOURCE

### MIME_OCTETSTREAM

    public static final javax.xml.namespace.QName MIME_OCTETSTREAM

### MIME_DATA_HANDLER

    public static final javax.xml.namespace.QName MIME_DATA_HANDLER

### QNAME_LITERAL_ITEM

    public static final javax.xml.namespace.QName QNAME_LITERAL_ITEM

### QNAME_RPC_RESULT

    public static final javax.xml.namespace.QName QNAME_RPC_RESULT

### QNAME_FAULTDETAIL_STACKTRACE

    public static final javax.xml.namespace.QName QNAME_FAULTDETAIL_STACKTRACE

  QName of stack trace element in an axis fault detail.

### QNAME_FAULTDETAIL_RUNTIMEEXCEPTION

    public static final javax.xml.namespace.QName QNAME_FAULTDETAIL_RUNTIMEEXCEPTION

  QName of stack trace element in an axis fault detail.

### QNAME_NO_SERVICE_FAULT_CODE

    public static final javax.xml.namespace.QName QNAME_NO_SERVICE_FAULT_CODE

  the no-service fault value

### MC_JWS_CLASSDIR

    public static final String MC_JWS_CLASSDIR

See Also:
  Constant Field Values

### MC_HOME_DIR

    public static final String MC_HOME_DIR

See Also:
  Constant Field Values

### MC_RELATIVE_PATH

    public static final String MC_RELATIVE_PATH

See Also:
  Constant Field Values

### MC_REALPATH

    public static final String MC_REALPATH

See Also:
  Constant Field Values

### MC_CONFIGPATH

    public static final String MC_CONFIGPATH

See Also:
  Constant Field Values

### MC_REMOTE_ADDR

    public static final String MC_REMOTE_ADDR

See Also:
  Constant Field Values

### MC_SERVLET_ENDPOINT_CONTEXT

    public static final String MC_SERVLET_ENDPOINT_CONTEXT

See Also:
  Constant Field Values

### MC_NO_OPERATION_OK

    public static final String MC_NO_OPERATION_OK

See Also:
  Constant Field Values

### MC_SINGLE_SOAP_VERSION

    public static final String MC_SINGLE_SOAP_VERSION

See Also:
  Constant Field Values

### JWS_DEFAULT_FILE_EXTENSION

    public static final String JWS_DEFAULT_FILE_EXTENSION

  what the extension of JWS files is. If changing this, note that AxisServlet has an xdoclet declaration in the class javadocs that also needs updating.

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Method Detail

### isSOAP_ENV

    public static boolean isSOAP_ENV(String s)

  Returns true if SOAP_ENV Namespace

### isSOAP_ENC

    public static boolean isSOAP_ENC(String s)

  Returns true if SOAP_ENC Namespace

### getValue

    public static String getValue(Attributes attributes,
                                  String[] search,
                                  String localPart)

  This utility routine returns the value of an attribute which might be in one of several namespaces.

  Parameters:
    `attributes` - the attributes to search
    `search` - an array of namespace URI strings to search
    `localPart` - is the local part of the attribute name
  Returns:
    the value of the attribute or null

### getValue

    public static String getValue(Attributes attributes,
                                  javax.xml.namespace.QName[] search)

  Search an attribute collection for a list of QNames, returning the value of the first one found, or null if none were found.

  Parameters:
    `attributes` -
    `search` -
  Returns:
    the value of the attribute

### equals

    public static boolean equals(javax.xml.namespace.QName first,
                                 javax.xml.namespace.QName second)

  equals The first QName is the current version of the name. The second qname is compared with the first considering all namespace uri versions.

  Parameters:
    `first` - Currently supported QName
    `second` - any qname
  Returns:
    true if the qnames represent the same qname (paster namespace uri versions considered

### isSchemaXSD

    public static boolean isSchemaXSD(String s)

  Returns true if SchemaXSD Namespace

### isSchemaXSI

    public static boolean isSchemaXSI(String s)

  Returns true if SchemaXSI Namespace

### isWSDL

    public static boolean isWSDL(String s)

  Returns true if WSDL Namespace

### isWSDLSOAP

    public static boolean isWSDLSOAP(String s)

  Returns true if WSDL SOAP Namespace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.